module(..., package.seeall)

-- Load libraries
require("modelfunctions")
fs = require("acf.fs")
format = require("acf.format")

-- Set variables
local configfile = "/etc/mdadm.conf"
local processname = "mdadm-raid"
local packagename = "mdadm"

local path = "PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin "

-- ################################################################################
-- LOCAL FUNCTIONS

-- ################################################################################
-- PUBLIC FUNCTIONS

function get_startstop(self, clientdata)
        return modelfunctions.get_startstop(processname)
	end

function startstop_service(self, startstop, action)
        return modelfunctions.startstop_service(startstop, action)
end

function getstatus()
	return modelfunctions.getstatus(processname, packagename, "MDADM Status")
end

function getstatusdetails()
	return cfe({ type="longtext", value=fs.read_file("/proc/mdstat") or "", label="MDADM Status Details" })
end

function get_filedetails()
	return modelfunctions.getfiledetails(configfile)
end

function update_filedetails(self, filedetails)
	return modelfunctions.setfiledetails(self, filedetails, {configfile})
end
